Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMapToRGBA Class Reference

`#include <vtkImageMapToRGBA.h>`

Inheritance diagram for vtkImageMapToRGBA:

[legend]
Collaboration diagram for vtkImageMapToRGBA:

[legend]
List of all members.

## Detailed Description

map the input image through a lookup table

Date:
  2002/01/22 15:33:01

Revision:
  1.20

This filter has been replaced by vtkImageMapToColors, which provided additional features. Use vtkImageMapToColors instead.

See also:
  vtkLookupTable

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (72%)
  - Law, Charles (10%)
  - Lorensen, Bill (6%)
  - Schroeder, Will (5%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageMapToRGBA.h)`
  - .`cxx` (`/Imaging/vtkImageMapToRGBA.cxx)`

Tests:
  vtkImageMapToRGBA (Tests)

Definition at line 52 of file vtkImageMapToRGBA.h.

## Public Types
typedef vtkImageMapToColors | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkImageMapToRGBA * | New ()
int | IsTypeOf (const char *type)
vtkImageMapToRGBA * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageMapToRGBA ()
| ~vtkImageMapToRGBA ()

## Member Typedef Documentation

typedef vtkImageMapToColors vtkImageMapToRGBA::Superclass

| Reimplemented from vtkImageMapToColors. Definition at line 56 of file vtkImageMapToRGBA.h.

## Constructor & Destructor Documentation

vtkImageMapToRGBA::vtkImageMapToRGBA | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkImageMapToRGBA.h.

vtkImageMapToRGBA::~vtkImageMapToRGBA | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkImageMapToRGBA.h.

## Member Function Documentation

vtkImageMapToRGBA* vtkImageMapToRGBA::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageMapToColors.

virtual const char* vtkImageMapToRGBA::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageMapToColors.

int vtkImageMapToRGBA::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMapToColors.

virtual int vtkImageMapToRGBA::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMapToColors.

vtkImageMapToRGBA* vtkImageMapToRGBA::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageMapToColors.

The documentation for this class was generated from the following file:

- Imaging/vtkImageMapToRGBA.h